slepc-3.10.1 2018-10-23
Report Typos and Errors

# NEPGetDerivatives

Returns the derivatives matrix and optionally the user provided routine and context for evaluating the derivatives.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetDerivatives(NEP nep,Mat *A,PetscErrorCode (**der)(NEP,PetscScalar,PetscInt,Mat,void*),void **ctx)

Not Collective, but Mat object will be parallel if NEP object is

### Input Parameter

| nep | - the nonlinear eigensolver context

### Output Parameters

| A | - location to stash the derivatives matrix (or NULL)
| der | - location to put derivatives function (or NULL)
| ctx | - location to stash derivatives context (or NULL)

### See Also

NEPSetDerivatives()

Location: src/nep/interface/nepbasic.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages